Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class Config

    java.lang.Object
      org.neo4j.kernel.Config

    public class Config

extends Object

A non-standard configuration object.

Field Summary
`static String` | `ALLOW_STORE_UPGRADE` Boolean (one of true,false) defining whether to allow a store upgrade in case the current version of the database starts against an older store version.
`static String` | `ARRAY_BLOCK_SIZE`
`static String` | `ARRAY_PROPERTY_STORE_MMAP_SIZE` The size to allocate for memory mapping the array property store
`static String` | `BACKUP_SLAVE` Mark this database as a backup slave.
`static String` | `CACHE_TYPE` The type of cache to use for nodes and relationships, one of [weak, soft, none]
`static String` | `DEFAULT_DATA_SOURCE_NAME`
`static String` | `DUMP_CONFIGURATION` Print out the effective Neo4j configuration after startup
`static String` | `ENABLE_ONLINE_BACKUP` Enable a support for running online backups
`static String` | `ENABLE_REMOTE_SHELL` Enable a remote shell server which shell clients can log in to
`static String` | `INTERCEPT_COMMITTING_TRANSACTIONS` Determines whether any TransactionInterceptors loaded will intercept prepared transactions before they reach the logical log.
`static String` | `INTERCEPT_DESERIALIZED_TRANSACTIONS` Determines whether any TransactionInterceptors loaded will intercept externally received transactions (e.g.
`static String` | `KEEP_LOGICAL_LOGS` Make Neo4j keep the logical transaction logs for being able to backup the database
`static String` | `LOGICAL_LOG` Relative path for where the Neo4j logical log is located
`static String` | `NEO_STORE` Relative path for where the Neo4j storage information file is located
`static String` | `NODE_AUTO_INDEXING` Boolean value (one of true, false) that controls the auto indexing feature for nodes.
`static String` | `NODE_KEYS_INDEXABLE` A list of property names (comma separated) that will be indexed by default.
`static String` | `NODE_STORE_MMAP_SIZE` The size to allocate for memory mapping the node store
`static String` | `PROPERTY_INDEX_KEY_STORE_MMAP_SIZE` The size to allocate for memory mapping the store for property key strings
`static String` | `PROPERTY_INDEX_STORE_MMAP_SIZE` The size to allocate for memory mapping the store for property key indexes
`static String` | `PROPERTY_STORE_MMAP_SIZE` The size to allocate for memory mapping the property value store
`static String` | `READ_ONLY` Only allow read operations from this Neo4j instance.
`static String` | `REBUILD_IDGENERATORS_FAST` Use a quick approach for rebuilding the ID generators.
`static String` | `RELATIONSHIP_AUTO_INDEXING` Boolean value (one of true, false) that controls the auto indexing feature for relationships.
`static String` | `RELATIONSHIP_KEYS_INDEXABLE` A list of property names (comma separated) that will be indexed by default.
`static String` | `RELATIONSHIP_STORE_MMAP_SIZE` The size to allocate for memory mapping the relationship store
`static String` | `STORAGE_DIRECTORY` Relative path for where the Neo4j storage directory is located
`static String` | `STRING_BLOCK_SIZE`
`static String` | `STRING_PROPERTY_STORE_MMAP_SIZE` The size to allocate for memory mapping the string property store
`static String` | `TXMANAGER_IMPLEMENTATION` The name of the Transaction Manager service to use as defined in the TM service provider constructor, defaults to native.
`static String` | `USE_MEMORY_MAPPED_BUFFERS` Tell Neo4j to use memory mapped buffers for accessing the native storage layer

Method Summary
`static boolean` | `configValueContainsMultipleParameters(String configValue)`
`static void` | `dumpConfiguration(Map<?,?> config)`
`static Map<Object,Object>` | `getDefaultParams()`
`static Object` | `getFromConfig(Map<?,?> config, Object key, Object defaultValue)`
`org.neo4j.kernel.impl.core.GraphDbModule` | `getGraphDbModule()`
`IdGeneratorFactory` | `getIdGeneratorFactory()`
`org.neo4j.kernel.impl.persistence.IdGeneratorModule` | `getIdGeneratorModule()`
`org.neo4j.kernel.impl.index.IndexStore` | `getIndexStore()`
`org.neo4j.kernel.impl.transaction.LockManager` | `getLockManager()`
`org.neo4j.kernel.impl.core.LockReleaser` | `getLockReleaser()`
`Map<Object,Object>` | `getParams()`
`org.neo4j.kernel.impl.persistence.PersistenceModule` | `getPersistenceModule()`
`org.neo4j.kernel.impl.core.RelationshipTypeCreator` | `getRelationshipTypeCreator()`
`org.neo4j.kernel.impl.core.RelationshipTypeHolder` | `getRelationshipTypeHolder()`
`org.neo4j.kernel.impl.transaction.TxModule` | `getTxModule()`
`boolean` | `isReadOnly()`
`static boolean` | `osIsMacOS()`
`static boolean` | `osIsWindows()`
`static Args` | `parseMapFromConfigValue(String name, String configValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DATA_SOURCE_NAME

    public static final String DEFAULT_DATA_SOURCE_NAME

See Also:
  Constant Field Values

### USE_MEMORY_MAPPED_BUFFERS

    public static final String USE_MEMORY_MAPPED_BUFFERS

  Tell Neo4j to use memory mapped buffers for accessing the native storage layer

  See Also:
    Constant Field Values

### DUMP_CONFIGURATION

    public static final String DUMP_CONFIGURATION

  Print out the effective Neo4j configuration after startup

  See Also:
    Constant Field Values

### KEEP_LOGICAL_LOGS

    public static final String KEEP_LOGICAL_LOGS

  Make Neo4j keep the logical transaction logs for being able to backup the database

  See Also:
    Constant Field Values

### ENABLE_REMOTE_SHELL

    public static final String ENABLE_REMOTE_SHELL

  Enable a remote shell server which shell clients can log in to

  See Also:
    Constant Field Values

### ENABLE_ONLINE_BACKUP

    public static final String ENABLE_ONLINE_BACKUP

  Enable a support for running online backups

  See Also:
    Constant Field Values

### BACKUP_SLAVE

    public static final String BACKUP_SLAVE

  Mark this database as a backup slave.

  See Also:
    Constant Field Values

### READ_ONLY

    public static final String READ_ONLY

  Only allow read operations from this Neo4j instance.

  See Also:
    Constant Field Values

### STORAGE_DIRECTORY

    public static final String STORAGE_DIRECTORY

  Relative path for where the Neo4j storage directory is located

  See Also:
    Constant Field Values

### REBUILD_IDGENERATORS_FAST

    public static final String REBUILD_IDGENERATORS_FAST

  Use a quick approach for rebuilding the ID generators. This give quicker recovery time, but will limit the ability to reuse the space of deleted entities.

  See Also:
    Constant Field Values

### NODE_STORE_MMAP_SIZE

    public static final String NODE_STORE_MMAP_SIZE

  The size to allocate for memory mapping the node store

  See Also:
    Constant Field Values

### ARRAY_PROPERTY_STORE_MMAP_SIZE

    public static final String ARRAY_PROPERTY_STORE_MMAP_SIZE

  The size to allocate for memory mapping the array property store

  See Also:
    Constant Field Values

### PROPERTY_INDEX_KEY_STORE_MMAP_SIZE

    public static final String PROPERTY_INDEX_KEY_STORE_MMAP_SIZE

  The size to allocate for memory mapping the store for property key strings

  See Also:
    Constant Field Values

### PROPERTY_INDEX_STORE_MMAP_SIZE

    public static final String PROPERTY_INDEX_STORE_MMAP_SIZE

  The size to allocate for memory mapping the store for property key indexes

  See Also:
    Constant Field Values

### PROPERTY_STORE_MMAP_SIZE

    public static final String PROPERTY_STORE_MMAP_SIZE

  The size to allocate for memory mapping the property value store

  See Also:
    Constant Field Values

### STRING_PROPERTY_STORE_MMAP_SIZE

    public static final String STRING_PROPERTY_STORE_MMAP_SIZE

  The size to allocate for memory mapping the string property store

  See Also:
    Constant Field Values

### RELATIONSHIP_STORE_MMAP_SIZE

    public static final String RELATIONSHIP_STORE_MMAP_SIZE

  The size to allocate for memory mapping the relationship store

  See Also:
    Constant Field Values

### LOGICAL_LOG

    public static final String LOGICAL_LOG

  Relative path for where the Neo4j logical log is located

  See Also:
    Constant Field Values

### NEO_STORE

    public static final String NEO_STORE

  Relative path for where the Neo4j storage information file is located

  See Also:
    Constant Field Values

### CACHE_TYPE

    public static final String CACHE_TYPE

  The type of cache to use for nodes and relationships, one of [weak, soft, none]

  See Also:
    Constant Field Values

### TXMANAGER_IMPLEMENTATION

    public static final String TXMANAGER_IMPLEMENTATION

  The name of the Transaction Manager service to use as defined in the TM service provider constructor, defaults to native.

  See Also:
    Constant Field Values

### INTERCEPT_COMMITTING_TRANSACTIONS

    public static final String INTERCEPT_COMMITTING_TRANSACTIONS

  Determines whether any TransactionInterceptors loaded will intercept prepared transactions before they reach the logical log. Defaults to false.

  See Also:
    Constant Field Values

### INTERCEPT_DESERIALIZED_TRANSACTIONS

    public static final String INTERCEPT_DESERIALIZED_TRANSACTIONS

  Determines whether any TransactionInterceptors loaded will intercept externally received transactions (e.g. in HA) before they reach the logical log and are applied to the store. Defaults to false.

  See Also:
    Constant Field Values

### ALLOW_STORE_UPGRADE

    public static final String ALLOW_STORE_UPGRADE

  Boolean (one of true,false) defining whether to allow a store upgrade in case the current version of the database starts against an older store version. Setting this to true does not guarantee successful upgrade, just allows an attempt at it.

  See Also:
    Constant Field Values

### STRING_BLOCK_SIZE

    public static final String STRING_BLOCK_SIZE

See Also:
  Constant Field Values

### ARRAY_BLOCK_SIZE

    public static final String ARRAY_BLOCK_SIZE

See Also:
  Constant Field Values

### NODE_KEYS_INDEXABLE

    public static final String NODE_KEYS_INDEXABLE

  A list of property names (comma separated) that will be indexed by default. This applies to Nodes only.

  See Also:
    Constant Field Values

### RELATIONSHIP_KEYS_INDEXABLE

    public static final String RELATIONSHIP_KEYS_INDEXABLE

  A list of property names (comma separated) that will be indexed by default. This applies to Relationships only.

  See Also:
    Constant Field Values

### NODE_AUTO_INDEXING

    public static final String NODE_AUTO_INDEXING

  Boolean value (one of true, false) that controls the auto indexing feature for nodes. Setting to false shuts it down unconditionally, while true enables it for every property, subject to restrictions in the configuration. The default is false.

  See Also:
    Constant Field Values

### RELATIONSHIP_AUTO_INDEXING

    public static final String RELATIONSHIP_AUTO_INDEXING

  Boolean value (one of true, false) that controls the auto indexing feature for relationships. Setting to false shuts it down unconditionally, while true enables it for every property, subject to restrictions in the configuration. The default is false.

  See Also:
    Constant Field Values

Method Detail

### getDefaultParams

    public static Map<Object,Object> getDefaultParams()

### osIsWindows

    public static boolean osIsWindows()

### osIsMacOS

    public static boolean osIsMacOS()

### getTxModule

    public org.neo4j.kernel.impl.transaction.TxModule getTxModule()

### getGraphDbModule

    public org.neo4j.kernel.impl.core.GraphDbModule getGraphDbModule()

### getPersistenceModule

    public org.neo4j.kernel.impl.persistence.PersistenceModule getPersistenceModule()

### getIdGeneratorModule

    public org.neo4j.kernel.impl.persistence.IdGeneratorModule getIdGeneratorModule()

### getLockManager

    public org.neo4j.kernel.impl.transaction.LockManager getLockManager()

### getIndexStore

    public org.neo4j.kernel.impl.index.IndexStore getIndexStore()

### getLockReleaser

    public org.neo4j.kernel.impl.core.LockReleaser getLockReleaser()

### getParams

    public Map<Object,Object> getParams()

### isReadOnly

    public boolean isReadOnly()

### getRelationshipTypeCreator

    public org.neo4j.kernel.impl.core.RelationshipTypeCreator getRelationshipTypeCreator()

### getIdGeneratorFactory

    public IdGeneratorFactory getIdGeneratorFactory()

### getRelationshipTypeHolder

    public org.neo4j.kernel.impl.core.RelationshipTypeHolder getRelationshipTypeHolder()

### dumpConfiguration

    public static void dumpConfiguration(Map<?,?> config)

### configValueContainsMultipleParameters

    public static boolean configValueContainsMultipleParameters(String configValue)

### parseMapFromConfigValue

    public static Args parseMapFromConfigValue(String name,
                                               String configValue)

### getFromConfig

    public static Object getFromConfig(Map<?,?> config,
                                       Object key,
                                       Object defaultValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.